<?php

namespace App\Http\Controllers;

use App\Models\{
    FondCommerce,
    Bien
};
use Illuminate\Http\Request;

class FondCommerceController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }
    
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request, $bienId)
    {
        $fond = FondCommerce::create($request->all());
        Bien::where('id',$bienId)->update(['fond_commerce_id' => $fond->id]);
        $bienId = Bien::find($bienId);

        return redirect()->route('flux.create',['bienId' => $bienId]);
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Models\FondCommerce  $fondCommerce
     * @return \Illuminate\Http\Response
     */
    public function show(FondCommerce $fondCommerce)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Models\FondCommerce  $fondCommerce
     * @return \Illuminate\Http\Response
     */
    public function edit(FondCommerce $fondCommerce)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Models\FondCommerce  $fondCommerce
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, FondCommerce $fondCommerce)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Models\FondCommerce  $fondCommerce
     * @return \Illuminate\Http\Response
     */
    public function destroy(FondCommerce $fondCommerce)
    {
        //
    }
}
